{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "stop",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["stop", "-h"]
        },
        {
            "name": "install",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["install", "-h"]
        },
        {
            "name": "exe test",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-t"]
        },
        {
            "name": "exe win",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "./build_win.yaml"]
        },
        {
            "name": "exe osx",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "./build_osx.yaml"]
        },
        {
            "name": "exe pipeline",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "./assets/pipeline-test.yaml"]
        },
        {
            "name": "exe pipeline2",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "./assets/pipeline-test2.yaml"]
        },
        {
            "name": "exe aos build",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "/Users/toki/works/lgup-mcs-aos/app/buildScript/build-lt.yaml"]
        },
        {
            "name": "exe slack",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "./slack_test.yaml"]
        },
        {
            "name": "exe scheduler test",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "./assets/scheduler.yaml"]
        },
        {
            "name": "test",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/test/test.dart",
            "args": []
        },
        {
            "name": "startup",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["exe", "-f", "C:/Work/automation/iot/script/windows/startup.yaml"]
        },
        {
            "name": "scheduler list",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["scheduler", "-l"]
        },
        {
            "name": "scheduler regist",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["scheduler", "-r", "./assets/scheduler2.yaml"]
        },
        {
            "name": "scheduler unregist",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["scheduler", "-u", "test2"]
        },
        {
            "name": "scheduler background",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["scheduler", "-s"]
        },
        {
            "name": "scheduler enable",
            "request": "launch",
            "type": "dart",
            "cwd": "${workspaceFolder}/apps/runner",
            "program": "${workspaceFolder}/apps/runner/bin/main.dart",
            "args": ["scheduler", "-e", "test2", "true"]
        }
    ]
}